﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TinyLibraryCQRS.Services.SynchronizationService
{
    public class MessageProcessFailedEventArgs : EventArgs
    {
        public string MessageId { get; set; }
        public DomainEventMessageContent MessageContent { get; set; }
        public Exception Exception { get; set; }

        public MessageProcessFailedEventArgs() { }

        public MessageProcessFailedEventArgs(string messageId, DomainEventMessageContent messageContent, Exception exception)
        {
            this.MessageId = messageId;
            this.MessageContent = messageContent;
            this.Exception = exception;
        }
    }
}
